unit TestFrames_MainForm;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, Grids,
  PadResultsFrm;

type

  { TTestFramesMainForm }

  TTestFramesMainForm = class(TForm)
    FillDataBtn: TButton;
    Label4: TLabel;
    MaxPadPressureEdt: TEdit;
    Label3: TLabel;
    PadAreaEdt: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    OriginalGrpBx: TGroupBox;
    OkBtn: TButton;
    DataPadsStrgGrd: TStringGrid;

    procedure CloseBtnClick(Sender: TObject);
    procedure FillDataBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);

  private

  public

    TopPadResultsFrm, BottomPadResultsFrm, RadialPadResultsFrm: TPadResultsFrame;

  end;

var
  TestFramesMainForm: TTestFramesMainForm;

implementation

{$R *.lfm}

{ TTestFramesMainForm }


procedure TTestFramesMainForm.CloseBtnClick(Sender: TObject);
begin
  Close;
end;


procedure TTestFramesMainForm.FillDataBtnClick(Sender: TObject);
begin
  TopPadResultsFrm.PadAreaEdt.Text := '1000.0';

  BottomPadResultsFrm.PadAreaEdt.Text := '30000.0';

  RadialPadResultsFrm.PadAreaEdt.Text := '25000.0';
end;


procedure TTestFramesMainForm.FormCreate(Sender: TObject);
begin
  TopPadResultsFrm := TPadResultsFrame.Create(self);
//  TopPadResultsFrm.Name := 'TopPadResults';
  TopPadResultsFrm.Parent := self;
  TopPadResultsFrm.PadResultsGrpBx.Caption:= 'Top Pads';
  TopPadResultsFrm.Left := 400;
  TopPadResultsFrm.Top := 5;

  BottomPadResultsFrm := TPadResultsFrame.Create(self);
//  BottomPadResultsFrm.Name := 'BottomPadResults';
  BottomPadResultsFrm.Parent := self;
  BottomPadResultsFrm.PadResultsGrpBx.Caption:= 'Bottom Pads';
  BottomPadResultsFrm.Left := 700;
  BottomPadResultsFrm.Top := 5;

  RadialPadResultsFrm := TPadResultsFrame.Create(self);
//  RadialPadResultsFrm.Name := 'RadialPadResults';
  RadialPadResultsFrm.Parent := self;
  RadialPadResultsFrm.PadResultsGrpBx.Caption:= 'Radial Pads';
  RadialPadResultsFrm.Left := 1000;
  RadialPadResultsFrm.Top := 5;

end;

end.

